Bug 170820

Summary: [MAINTAINER] sysutils/py27-ranger: update to 1.5.5
Product: Ports & Packages Reporter: linpct
Component: Individual Port(s)Assignee: Frederic Culot <culot>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
py27-ranger-1.5.5.patch
none
py-ranger.shar none

Description linpct 2012-08-21 13:50:06 UTC
- Update to 1.5.5

Generated with FreeBSD Port Tools 0.99_6 (mode: update, diff: suffix)
Comment 1 Frederic Culot freebsd_committer 2012-08-21 15:07:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->culot

I'll take it.
Comment 2 Frederic Culot freebsd_committer 2012-08-21 18:50:36 UTC
Hi Jin-Sih,

thanks for your update on py-ranger. However, when I try your patch I get
a checksum issue which prevents me from installing the port.
See for example the following log:

https://redports.org/~culot/20120821150049-25650-52043/py27-ranger-1.5.5.log

I have tried the install twice and always came up with the same issue.
Could you please have a look at it?

Many thanks,
Frederic (culot@)
Comment 3 linpct 2012-08-22 04:26:49 UTC
Hello, Frederic,

    Thanks for figuring out this issue, there is also the same issue of
py-ranger 1.5.4 but I still don't know why.

    I've download tar ball from
http://git.savannah.gnu.org/cgit/ranger.git/refs/ last night but this
morning it has different checksum.

    Or maybe I should find another tar ball site?

    Thanks. :-)

2012/8/22 Frederic Culot <culot@freebsd.org>

> Hi Jin-Sih,
>
> thanks for your update on py-ranger. However, when I try your patch I get
> a checksum issue which prevents me from installing the port.
> See for example the following log:
>
>
> https://redports.org/~culot/20120821150049-25650-52043/py27-ranger-1.5.5.log
>
> I have tried the install twice and always came up with the same issue.
> Could you please have a look at it?
>
> Many thanks,
> Frederic (culot@)
>



-- 
Daniel Lin (pct)
Comment 4 Frederic Culot freebsd_committer 2012-08-22 11:02:44 UTC
Hi Roman,

I am currently in the process of updating the FreeBSD port for ranger [1],
but unfortunately I bumped into an issue with the checksum of the archive
that is provided on [2].

Indeed, when downloading ranger-1.5.5.tar.gz yesterday the SHA256 sum for
this archive was different from the one we have today, despite the fact
that the size of the archive did not change.

As we are very cautious with security issues, I wanted to check with you
the reasons why the checksum for the archive changed. Were there any
modifications on your side leading to this or could it be the result of
a compromised archive?

Thanks for your clarification Roman!

Regards,
Frederic


[1] http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/170820
[2] http://git.savannah.gnu.org/cgit/ranger.git/snapshot/
Comment 5 romanz 2012-08-22 14:08:48 UTC
On Wed, Aug 22, 2012 at 10:02:44AM +0000, Frederic Culot wrote:
> Hi Roman,
> 
> I am currently in the process of updating the FreeBSD port for ranger [1],
> but unfortunately I bumped into an issue with the checksum of the archive
> that is provided on [2].
> 
> Indeed, when downloading ranger-1.5.5.tar.gz yesterday the SHA256 sum for
> this archive was different from the one we have today, despite the fact
> that the size of the archive did not change.
> 
> As we are very cautious with security issues, I wanted to check with you
> the reasons why the checksum for the archive changed. Were there any
> modifications on your side leading to this or could it be the result of
> a compromised archive?
> 
> Thanks for your clarification Roman!
> 
> Regards,
> Frederic
> 
> 
> [1] http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/170820
> [2] http://git.savannah.gnu.org/cgit/ranger.git/snapshot/
> 

Hello,

I didn't change the snapshot.  The software must have rebuilt it for
some reason, changing the hash in the process.  I checked the snapshot [1]
with the sha256sum [2] and it is legitimate.

To avoid this issue in the future, there are now static, signed
snapshots since version 1.2.2 on the website [3].

Regards,
Roman

[1] http://git.savannah.gnu.org/cgit/ranger.git/snapshot/ranger-1.5.5.tar.gz
[2] 070789d2a60209312d4f9529924a31c4c40a92db025cecc875891dff3a0966f7
[3] http://ranger.nongnu.org/download.html#signed
Comment 6 dfilter service freebsd_committer 2012-08-23 07:48:20 UTC
Author: culot
Date: Thu Aug 23 06:48:09 2012
New Revision: 302980
URL: http://svn.freebsd.org/changeset/ports/302980

Log:
  - Update to 1.5.5
  - Update MASTER_SITES
  
  Changes:	http://git.savannah.gnu.org/cgit/ranger.git/tree/CHANGELOG
  PR:		ports/170820
  Submitted by:	Jin-Sih Lin <linpct@gmail.com> (maintainer)

Modified:
  head/sysutils/py-ranger/Makefile
  head/sysutils/py-ranger/distinfo

Modified: head/sysutils/py-ranger/Makefile
==============================================================================
--- head/sysutils/py-ranger/Makefile	Thu Aug 23 04:49:36 2012	(r302979)
+++ head/sysutils/py-ranger/Makefile	Thu Aug 23 06:48:09 2012	(r302980)
@@ -6,9 +6,9 @@
 #
 
 PORTNAME=	ranger
-PORTVERSION=	1.5.4
+PORTVERSION=	1.5.5
 CATEGORIES=	sysutils python
-MASTER_SITES=	http://git.savannah.gnu.org/cgit/ranger.git/snapshot/
+MASTER_SITES=	http://ranger.nongnu.org/
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 
 MAINTAINER=	linpct@gmail.com

Modified: head/sysutils/py-ranger/distinfo
==============================================================================
--- head/sysutils/py-ranger/distinfo	Thu Aug 23 04:49:36 2012	(r302979)
+++ head/sysutils/py-ranger/distinfo	Thu Aug 23 06:48:09 2012	(r302980)
@@ -1,2 +1,2 @@
-SHA256 (ranger-1.5.4.tar.gz) = 9cc9bc1c5842c93b7546c6f4906b5312c32715ed55344e5154b268baeef1c9fc
-SIZE (ranger-1.5.4.tar.gz) = 126651
+SHA256 (ranger-1.5.5.tar.gz) = 7445e00ee84055982df2b8511672923db778b9ee24b606beb61d084b38baa9d3
+SIZE (ranger-1.5.5.tar.gz) = 126769
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Frederic Culot freebsd_committer 2012-08-23 07:48:39 UTC
State Changed
From-To: open->closed

Committed. Thanks for your help Jin-Sih!